跳转到主要内容
GET
/
v3
/
organizations
/
{org_id}
/
pr-reviews
获取最新的 Devin Review 状态
curl --request GET \
  --url https://api.devin.ai/v3/organizations/{org_id}/pr-reviews \
  --header 'Authorization: Bearer <token>'
{
  "commit_sha": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "pr_number": 123,
  "repo_path": "<string>",
  "status": "pending"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt

Use this file to discover all available pages before exploring further.

权限

需要服务用户在指定组织中具有 UseReviewManual 权限。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

org_id
string
必填

组织 ID(前缀:org-)

示例:

"org-abc123def456"

查询参数

pr_url
string
必填

要查找的拉取请求/合并请求的完整 URL(例如:https://github.com/owner/repo/pull/123)。

示例:

"https://github.com/owner/repo/pull/123"

commit_sha
string | null

要查找的 Commit SHA(完整值或短前缀)。省略时,默认使用 PR 当前的 head commit。

示例:

"abc123def4567890abc123def4567890abc123de"

响应

成功响应

commit_sha
string
必填

将被审查的 PR 头部提交的 SHA。

created_at
string<date-time>
必填

审查被接受的时间。

pr_number
integer
必填

拉取/合并请求编号。

repo_path
string
必填

规范化的带主机前缀的代码仓库路径(例如 github.com/owner/repo)。

status
enum<string>
必填

当前审查状态。新接受的审查初始状态为 pending

可用选项:
pending,
running,
completed,
errored